* {
	font: inherit;
	margin: 0;
	padding: 0;
}
html {
	--content-max-width: 1500px;
	box-sizing: border-box;
	color-scheme: light dark;
	background: light-dark(#f0f0f0, #333);
	color: light-dark(#000, #ccc);
	font: 18px / 1.4 "IBM Plex Sans", "Noto Sans", system-ui, sans-serif;
	block-size: 100%;
}
html.big-text {
	font-size: max(1rem, 22px);
}
body {
	box-sizing: border-box;
	min-inline-size: 320px;
	max-inline-size: 1920px;
	margin-inline: auto;
	min-block-size: 100%;
}
@media all and (max-width: 500px) {
	html {
		hyphens: auto;
		overflow-wrap: break-word;
	}
}
[hidden] {
	display: none !important;
}
/* Hierarchy */
article,
aside,
main,
section,
header,
footer {
	display: flow-root;
}
article,
aside {
	contain: content;
}
figure {
	box-sizing: border-box;
	max-inline-size: 100%;
	overflow: auto;
}
figcaption {
	text-align: center;
	font-style: italic;
	inline-size: fit-content;
	margin-inline: auto;
	padding: .5em 1em;
	background: light-dark(rgba(255,255,255,.7), rgba(255,255,255,.05));
}
hr {
	margin-block: 2em;
	margin-inline: auto;
	color: inherit;
	border: none;
	border-block-start: .2em dashed currentColor;
	max-inline-size: 90%;
}
/* Line spacing */
:where(p, ul, ol, blockquote, dl, fieldset, table, figure, figcaption, details):not([class], :first-child),
:where(h1, h2, h3, h4, h5, h6):not(:first-child) {
	margin-block-start: 1em;
}
/* Inline content */
b,
strong {
	font-weight: bold;
}
i,
em {
	font-style: italic;
}
sub,
sup {
	font-size: smaller;
}
img {
	vertical-align: middle;
	max-inline-size: 100%;
	block-size: auto;
}
video {
	max-inline-size: 100%;
	block-size: auto;
}
iframe {
	border: none;
}
/* Headings */
h1, h2, h3, h4, h5, h6 {
	overflow-wrap: break-word;
	break-after: avoid;
	break-inside: avoid;
}
:where(h1, h2, h3, h4, h5, h6):not([class]) {
	line-height: normal;
}
:is(h1, h2, h3, h4, h5, h6) > a {
	text-decoration: none;
	color: inherit;
}
:is(h1, h2, h3, h4, h5, h6) > a:focus-visible {
	text-decoration: underline;
}
h1 {
	font-size: 1.5rem;
	font-weight: bold;
	line-height: normal;
}
h2 {
	font-size: 1.3rem;
	font-weight: bold;
	line-height: normal;
	padding-block-end: .2em;
	border-block-end: 1px dashed light-dark(#999, #555);
}
h3 {
	font-size: 1.15rem;
	font-weight: bold;
	line-height: normal;
}
.split-heading > :not(:first-child) {
	font-size: 1rem;
	font-weight: normal;
	font-style: italic;
}
@media all and (min-width: 1200px) {
	.split-heading {
		display: flex;
		gap: 1em;
		align-items: center;
		justify-content: space-between;
	}
}
@media not all and (min-width: 1200px) {
	.split-heading > :not(:first-child) {
		display: block;
		margin-block-start: 1em;
	}
}
/* Links */
a img {
	border: none;
}
a {
	color: inherit;
	text-decoration: underline;
}
:where(.main-body) a {
	color: light-dark(#0e3add, #f3e699);
}
/* Lists */
:where(ul, ol):not([class]) {
	margin-inline-start: 1.5em;
}
:where(ul, ol):not([class]) > li:not(:first-child) {
	margin-block-start: .5em;
}
/* Dialogs */
dialog {
	border: none;
	box-sizing: border-box;
}
dialog::backdrop {
	background: rgba(0,0,0,.75);
}
@media print {
	dialog { display: none; }
}
/* Forms */
fieldset {
	border: 1px dashed light-dark(#ccc, #a9a9a9);
	padding: 1em;
}
@media all and (prefers-contrast: more) {
	fieldset {
		border-color: light-dark(#000, #fff);
	}
}
input,
textarea,
select,
option,
button {
	box-sizing: border-box;
}
input:where(:not([type="checkbox"], [type="radio"], [type="range"], [type="file"])),
input[type=file]::file-selector-button,
textarea {
	padding: .2em .5em;
}
button {
	padding: .25em 1em;
}
select {
	padding-block: .25em;
	padding-inline: .25em .8em;
}
option {
	padding: .2em;
}
input[type="checkbox"],
input[type="radio"] {
	width: 1em;
	height: 1em;
}
/* Tables */
table {
	border-collapse: collapse;
	margin-inline: auto;
}
caption {
	padding-block: .2em;
	padding-inline: 1em;
	text-align: start;
}
td, th {
	padding-block: .2em;
	padding-inline: 1em;
	text-align: start;
	min-inline-size: 6em;
}
th {
	font-weight: bold;
}
thead {
	border-block-end: .1em solid light-dark(#7e7e7e, #e6e6e6);
}
tfoot {
	border-block-start: .1em solid light-dark(#7e7e7e, #e6e6e6);
}
@media all and (prefers-contrast: more) {
	thead {
		border-block-end-color: light-dark(#000, #fff);
	}
	tfoot {
		border-block-start-color: light-dark(#000, #fff);
	}
}
tbody > tr:nth-child(even) {
	background: light-dark(rgba(0,0,0,.08), rgba(255,255,255,.08));
	color: light-dark(#000, #fff);
}
th[scope="row"] {
	text-align: start;
}
thead > tr > th {
	vertical-align: bottom;
}
@supports (margin-trim: block) {
	td, th {
		margin-trim: block;
	}
}
@supports not (margin-trim: block) {
	:where(td, th) > :first-child {
		margin-block-start: 0 !important;
	}
	:where(td, th) > :last-child {
		margin-block-end: 0 !important;
	}
}
/* Quotations */
blockquote:not([class]) {
	position: relative;
	padding-inline-start: 2em;
	min-block-size: 3em;
}
blockquote:not([class])::before {
	content: "“";
	position: absolute;
	left: 0;
	top: 0;
	pointer-events: none;
	user-select: none;
	color: light-dark(#406a9b, #fff);
	z-index: 1;
	font-size: 3em;
	line-height: 1;
}
/* Definition lists */
dl:not([class]) > dt {
	font-weight: bold;
}
dl:not([class]) > dt:not(:first-child) {
	margin-block-start: 1em;
}
dl:not([class]) > dd {
	margin-inline-start: 2em;
}
dl:not([class]) > dd:not(:first-child) {
	margin-block-start: .5em;
}
/* Spoilers */
details {
	padding: 1em;
	background: light-dark(#f8f8f8, #202020);
	color: light-dark(#000, #ccc);
}
summary {
	font-weight: 500;
	font-size: 1.125rem;
	cursor: pointer;
}
/* When to show what */
.mobile-nav-button {
	display: none;
}
@media not all and (min-width: 1200px) {
	.main-nav {
		display: none;
	}
	.mobile-nav-button {
		display: block;
	}
}
/* Command panel */
.page-controls {
	font-size: 20px;
	position: fixed;
	z-index: 9;
	inset-block-start: 16px;
	inset-inline-end: 16px;
	display: flex;
	flex-direction: column;
	align-items: end;
	gap: 16px;
}
.page-controls-button {
	box-sizing: border-box;
	padding-block: 9px;
	padding-inline: 12px;
	background: light-dark(#fff, #161616);
	color: light-dark(#000, #f0f0f0);
	border: .05em solid light-dark(#333, #ccc);
	line-height: normal;
	cursor: pointer;
	transition: background-color 200ms ease-out, color 200ms ease-out, border-color 200ms ease-out;
}
.page-controls-button:hover,
.page-controls-button:focus {
	background-color: light-dark(#333, #ccc);
	color: light-dark(#fff, #000);
}
.page-controls-button > svg {
	vertical-align: -.15em;
}
@media all and (prefers-contrast: more) {
	.page-controls-button {
		border-color: light-dark(#000, #fff);
		background-color: light-dark(#fff, #000);
		color: light-dark(#000, #fff);
	}
	.page-controls-button:hover,
	.page-controls-button:focus {
		background-color: light-dark(#000, #fff);
	}
}
/* Menu dialog */
.dialog-mobile-menu {
	background: transparent;
	max-block-size: none;
	block-size: 100%;
	inline-size: 100%;
	max-inline-size: 400px;
}
.mobile-menu {
	box-sizing: border-box;
	padding: 16px;
	background: light-dark(#f8f8f8, #4d4b45);
	color: light-dark(#000, #fff);
	box-shadow: 2px 0 2px 0 rgba(0,0,0,.2);
	block-size: 100%;
	overflow: auto;
	overscroll-behavior: contain;
}
@media all and (prefers-contrast: more) {
	.mobile-menu {
		background-color: light-dark(#f8f8f8, #2a2926);
	}
}
/* Menu dialog content */
.mobile-menu-itself {
	font-weight: normal;
	padding: 0;
}
.mobile-menu-itself li {
	list-style: none;
	position: relative;
}
.mobile-menu-itself li:hover > ul,
.mobile-menu-itself li:focus > ul {
	display: block;
}
.mobile-menu-itself li > :first-child:focus + ul {
	display: block;
}
.mobile-menu-itself > li ul {
	margin-inline-start: 1.2em;
}
.mobile-menu-itself .separator::after {
	content: ":";
}
.mobile-menu-itself li > a,
.button-mobile-menu-close {
	display: block;
	box-sizing: border-box;
	padding-block: 6px 5px;
	padding-inline: 12px;
	outline: none;
	border: none;
	inline-size: 100%;
	cursor: pointer;
	background: transparent;
	color: inherit;
	text-align: start;
	transition: background-color 300ms ease-out, color 300ms ease-out;
}
.mobile-menu-itself li > a:hover,
.mobile-menu-itself li > a:focus,
.button-mobile-menu-close:hover,
.button-mobile-menu-close:focus {
	background-color: #7c7c7c;
	color: #fff;
}
@media all and (prefers-color-scheme: light) and (prefers-contrast: more) {
	.mobile-menu-itself li > a:hover,
	.mobile-menu-itself li > a:focus,
	.button-mobile-menu-close:hover,
	.button-mobile-menu-close:focus {
		background-color: #000;
	}
}
@media all and (prefers-color-scheme: dark) and (not (prefers-contrast: more)) {
	.mobile-menu-itself li > :first-child:hover,
	.mobile-menu-itself li > :first-child:focus,
	.button-mobile-menu-close:hover,
	.button-mobile-menu-close:focus {
		background-color: #fafafa;
		color: #000;
	}
}
@media all and (prefers-color-scheme: dark) and (prefers-contrast: more) {
	.mobile-menu-itself li > :first-child:hover,
	.mobile-menu-itself li > :first-child:focus,
	.button-mobile-menu-close:hover,
	.button-mobile-menu-close:focus {
		background-color: #fff;
		color: #000;
	}
}
.mobile-menu a {
	text-decoration: none;
	outline: none;
}
@media print {
	.page-controls {
		display: none;
	}
}
/* Vector icons */
.icon {
	width: 1em;
	height: 1em;
}
/* Dialog layout */
.dialog-layout[open],
.dialog-layout:popover-open {
	box-sizing: border-box;
	background: transparent;
	max-inline-size: none;
	max-block-size: none;
	inline-size: 100%;
	block-size: 100%;
	padding: 1em;
	display: grid;
	place-content: safe center;
}
.dialog-layout-inner {
	background: light-dark(#f0f0f0, #333);
	color: light-dark(#000, #fff);
	padding: 1.5em;
	box-shadow: 0 0 3px 3px rgba(255,255,255,.15);
	border-radius: 4px;
	position: relative;
	overflow: auto;
}
@media all and (prefers-contrast: more) {
	.dialog-layout-inner {
		background: light-dark(#fff, #000);
	}
}
.form-close-dialog {
	position: absolute;
	z-index: 1;
	inset-block-start: .5em;
	inset-inline-end: .5em;
}
.form-close-dialog-button {
	background: transparent;
	color: #b24539;
	border: none;
	cursor: pointer;
	width: 1.5em;
	height: 1.5em;
	line-height: 1.5em;
	text-align: center;
	padding: 0;
	transition: background-color 300ms ease-out, color 300ms ease-out;
}
.form-close-dialog-button:hover,
.form-close-dialog-button:focus {
	background-color: #b24539;
	color: #fff;
}
/* .limit-content is a wrapper for normal content, which needs padding on narrow screens. */
.limit-content {
	display: flow-root;
}
@media not print {
	.limit-content {
		max-inline-size: var(--content-max-width);
		margin-inline: auto;
		padding-inline: 1.5rem;
	}
}
/* Alternatively, one can increase paddings to fill space. */
.pad-content {
	display: flow-root;
}
@media not print {
	.pad-content {
		padding-inline: max(1.5rem, (100% - var(--content-max-width)) / 2);
	}
}
/* Main content: all */
main {
	block-size: 100%;
}
.main-body {
	box-sizing: border-box;
	display: flex;
	align-items: stretch;
	margin-block: 32px;
	margin-inline: auto;
	padding-inline: 1.5rem;
	max-inline-size: var(--content-max-width);
	min-block-size: calc(100% - 64px);
}
.content {
	flex-grow: 1;
	max-inline-size: 100%;
	box-sizing: border-box;
	background: url("../images/decor.webp") 50% -200px no-repeat light-dark(#fff, #151515);
	color: light-dark(#000, #ccc);
	padding-block: calc(100px + 1em) 1em;
	padding-inline: 1em;
}
.sidebar {
	flex-shrink: 0;
	flex-grow: 0;
}
.sidebar > section:not(:first-child) {
	margin-block-start: 1em;
	border-block-start: 1px dashed #666;
	padding-block-start: 1em;
}
.sidebar-1 {
	box-sizing: border-box;
	color-scheme: dark;
	background: #27282b;
	color: #ccc;
	padding: 1em;
}
/* Main content: wide */
@media all and (min-width: 1200px) {
	.sidebar-1 {
		padding: 2em;
	}
	.content {
		order: 1;
		background-image: url("../images/decor.webp");
		background-position: center top;
		padding-block-start: calc(300px + 1em);
	}
	.sidebar-1 {
		inline-size: 300px;
		order: 0;
		padding: 2em;
	}
}
/* Main content: narrow */
@media not all and (min-width: 1200px) {
	.main-body {
		flex-direction: column;
	}
	.sidebar-1 {
		inline-size: 100%;
		order: 1;
	}
}
.ajax-form-result {
	display: none;
	color: light-dark(#000, #ccc);
	border-width: .1em;
	border-style: solid;
	padding-block: .5em;
	padding-inline: 1em;
}
.ajax-form-result[data-state="positive"] {
	display: block;
	background-color: light-dark(#f4f9ee, #444a3c);
	border-color: light-dark(#99bf7f, #666f5a);
}
.ajax-form-result[data-state="negative"] {
	display: block;
	background-color: light-dark(#f9f3ee, #513836);
	border-color: light-dark(#bf857f, #77524f);
}
.ajax-form-result:not(:first-child) {
	margin-block-start: 1em;
}
/* Template */
.top {
	padding-block: 1em;
}
.l-top {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	justify-content: space-between;
	gap: 1em;
}
@media not print {
	@media (max-width: 1599px) {
		.l-top {
			padding-inline-end: 72px;
		}
	}
}
@media print {
	nav {
		display: none !important;
	}
}
.logo,
.slogan {
	text-align: center;
}
.slogan:not(:first-child) {
	margin-block-start: .5em;
}
.main-nav:not(:first-child) {
	margin-block-start: 1em;
	border-block-start: 1px dashed #666;
	padding-block-start: 1em;
}
.main-menu > li {
	list-style: none;
}
.main-menu > li:not(:first-child) {
	margin-block-start: 1em;
}
.hl {
	color: light-dark(#406a9b, #fff);
}
.controls:not(:first-child) {
	margin-block-start: 1em;
}
.controls {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	gap: 1em;
}
.programs .controls {
	justify-content: space-between;
}
.button-1 {
	display: inline-block;
	padding: .5em 1em;
	background: #406a9b;
	color: #fff;
	text-align: center;
	text-decoration: none;
	border: none;
	cursor: pointer;
}
.button-1:focus-visible {
	text-decoration: underline;
}
.note {
	font-size: .9rem;
	color: light-dark(#333, #999);
}
.note:not(:first-child) {
	margin-block-start: 1rem;
}
.programs,
.information {
	display: flex;
	flex-wrap: wrap;
	align-items: stretch;
	gap: 1em;
}
.programs:not(:first-child),
.information:not(:first-child) {
	margin-block-start: 1rem;
}
.programs > article,
.information > article {
	box-sizing: border-box;
	padding: 1em;
	flex-shrink: 0;
	flex-grow: 1;
	inline-size: 300px;
	max-inline-size: 100%;
}
.programs > article {
	background: light-dark(#f0f3f7, #252525);
	color: light-dark(#000, #ccc);
	border: 1px solid light-dark(#e2ecf9, #333);
}
.information > article {
	background: light-dark(#f8f8f8, #202020);
	color: light-dark(#000, #ccc);
	border: 1px solid light-dark(#eee, #333);
}
@media all and (min-width: 1200px) {
	.programs > article,
	.information > article {
		inline-size: calc((100% - 2em) / 3);
	}
}
.category {
	color: light-dark(#333, #999);
}
.subtitle {
	font-size: .9rem;
	color: light-dark(#333, #999);
}
.tst-author {
	font-style: italic;
}
.tst-author:not(:first-child) {
	margin-block-start: 1em;
}
.tst-license {
	display: flex;
	align-items: stretch;
	gap: 1em;
}
.tst-license:not(:first-child) {
	margin-block-start: 1em;
}
.tst-license > div {
	box-sizing: border-box;
	padding: 1em;
	flex-grow: 1;
	background: light-dark(#f8f8f8, #202020);
	color: light-dark(#000, #ccc);
	border: 1px solid light-dark(#eee, #333);
}
.tst-license > div:nth-child(2) {
	background-color: light-dark(#f0f3f7, #252525);
	color: light-dark(#000, #ccc);
	border-color: light-dark(#e2ecf9, #333);
}
@media all and (min-width: 1200px) {
	.tst-license > div:first-child {
		flex-shrink: 0;
		width: calc((100% - 2em) / 1.5 + 1em);
		align-content: center;
	}
	.tst-license > div:nth-child(2) {
		flex-shrink: 0;
		width: calc((100% - 2em) / 3);
	}
	.tst-license > div:nth-child(2) .button-1 {
		width: 100%;
	}
	.tst-license blockquote + blockquote {
		margin-block-start: 2em;
	}
}
@media not all and (min-width: 1200px) {
	.tst-license {
		flex-wrap: wrap;
	}
}
.large-information {
	display: flex;
	flex-wrap: wrap;
	align-items: stretch;
	gap: 1em;
}
.large-information:not(:first-child) {
	margin-block-start: 1rem;
}
.large-information > article {
	box-sizing: border-box;
	padding: 1em;
	flex-shrink: 0;
	flex-grow: 1;
	inline-size: 300px;
	max-inline-size: 100%;
}
.large-information > article {
	background: light-dark(#f8f8f8, #202020);
	color: light-dark(#000, #ccc);
	border: 1px solid light-dark(#eee, #333);
}
@media all and (min-width: 1200px) {
	.large-information > article {
		inline-size: calc((100% - 1em) / 2);
	}
}
.price:not(:first-child) {
	margin-block-start: 1em;
}
.price-value {
	color: light-dark(#406a9b, #fff);
	font-size: 1.3em;
	font-weight: bold;
}
.l-contact:not(:first-child) {
	margin-block-start: 1em;
}
.l-contact > :nth-child(2) {
	background: light-dark(#f8f8f8, #202020);
	color: light-dark(#000, #ccc);
	border: 1px solid light-dark(#eee, #333);
}
@media all and (min-width: 1200px) {
	.l-contact {
		display: flex;
		align-items: stretch;
		justify-content: space-between;
	}
	.l-contact > * {
		box-sizing: border-box;
		width: calc((100% - 1em) / 2);
		padding: 1em;
	}
}
@media not all and (min-width: 1200px) {
	.l-contact > :not(:first-child) {
		margin-block-start: 1em;
	}
}
form {
	background: light-dark(#f0f3f7, #252525);
	color: light-dark(#000, #ccc);
	border: 1px solid light-dark(#e2ecf9, #333);
}
form input[type="text"],
form input[type="email"],
form input[type="tel"],
form textarea,
form select {
	margin-block-start: .2em;
	width: 100%;
}
form textarea {
	height: 10em;
	height: 7lh;
	resize: vertical;
}
.form-unit:not(:first-child) {
	margin-block-start: 1em;
}
.nav-menu {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	gap: 1em;
}
.nav-menu > li {
	list-style: none;
}
